[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / TableFilterService

# Class: TableFilterService

Defined in: [packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:18](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts#L18)

## Implements

- `FilterLike`
- `OnDestroy`

## Constructors

### new TableFilterService()

> **new TableFilterService**(): [`TableFilterService`](TableFilterService.md)

Defined in: [packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:36](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts#L36)

#### Returns

[`TableFilterService`](TableFilterService.md)

## Properties

### change

> `readonly` **change**: `ReplaySubject`\<`Record`\<`string`, `any`\>\>

Defined in: [packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:20](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts#L20)

#### Implementation of

`FilterLike.change`

***

### current

> **current**: `Record`\<`string`, `any`\> = `{}`

Defined in: [packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts#L22)

#### Implementation of

`FilterLike.current`

***

### reset$

> `readonly` **reset$**: `Subject`\<`void`\>

Defined in: [packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:26](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts#L26)

## Methods

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:69](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts#L69)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### remove()

> **remove**(`key`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:60](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts#L60)

#### Parameters

##### key

`string`

#### Returns

`void`

***

### reset()

> **reset**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:40](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts#L40)

#### Returns

`void`

***

### set()

> **set**(`key`, `value`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:54](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts#L54)

#### Parameters

##### key

`string`

##### value

`any`

#### Returns

`void`

***

### setMap()

> **setMap**(`map`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:44](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts#L44)

#### Parameters

##### map

`Record`\<`string`, `any`\>

#### Returns

`void`
